Subject: [Hipsec] some hip base spec nits

From: Jari Arkko <[email-masked]>
Date: Wed, 18 May 2005 08:00:55 +0300

Some nits that I noticed while reading the spec
(looking at draft-ietf-hip-base-03-pre130505 version):

>           NAI             Network Access Identifier, in binary 
> format.  The
>                           format of the NAI is login@FQDN.

A reference to draft-ietf-radext-rfc2486bis-05.txt would be useful
here. And I'm not sure what the "binary format" of the NAI is...
suggest "Network Access Identifier [ref]."

> <rfc ipr="full3667" docName="draft-ietf-hip-base-03-pre130505">

This needs to be changed to "full3978" (and a possible update
to the xml2rfc tool).

>
>        0                   1                   2                   3
>        0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1 2 3 4 5 6 7 8 9 0 1
>       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>       |             Type            |C|             Length            |
>       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>       |                                                               |
>       /                          Contents                             /
>       /                                               +-+-+-+-+-+-+-+-+
>       |                                               |    Padding    |
>       +-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+

Type field is 15 bits according to this... and then later:

>    |                 |       |          |                              |
>    | HMAC            | 65245 | 20       | HMAC based message           |
>    |                 |       |          | authentication code, with    |
>    |                 |       |          | key material from            |
>    |                 |       |          | HIP_TRANSFORM                |
>  

Which seems to assume its at least 16 bits. Perhaps the picture
is misaligned somehow? I think it should be 16 bits and the length
field should be correspondingly smaller.

--Jari

_______________________________________________
Hipsec mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/hipsec

---

From: Pekka Nikander <[email-masked]>
Date: Wed, 18 May 2005 14:37:52 +0300

>>       |             Type            |C|             Length            
>> |
>>       |                                                               
>> |
>>       /                          Contents                             
>> /
>>       /                                               
>> +-+-+-+-+-+-+-+-+
>>       |                                               |    Padding    
>> |
>>    |                 |       |          |                             
>>  |
>>    |                 |       |          | HIP_TRANSFORM               
>>  |

The C bit is counted as a part of the type.  Probably a sentence 
somewhere
is needed to clarify this.

--Pekka

---

From: Jari Arkko <[email-masked]>
Date: Wed, 18 May 2005 14:41:50 +0300

> is needed to clarify this.

Ok, that explains it. The spec may well have text about this but
I just missed that.

--Jari

---

From: Petri Jokela <[email-masked]>
Date: Wed, 18 May 2005 15:33:16 +0300

Pekka Nikander wrote:
> The C bit is counted as a part of the type.  Probably a sentence somewhere

The C-bit definition covers it, but is not clear. Is it enough if I add 
the following to Type definition:

    Type         Type code for the parameter. 16 bits long, C-bit being
                 part of the Type code.
    C            Critical.  One if this parameter is critical, and
                 MUST be recognized by the recipient, zero otherwise.
                 The C bit is considered to be a part of the Type field.
                 Consequently, critical parameters are always odd
                 and non-critical ones have an even value.

/petri

-- 
Petri Jokela                        Tel:    +358 9 299 2413
Research scientist                  Fax:    +358 9 299 3535
NomadicLab, Ericsson Research       Mobile: +358 44 299 2413
Oy L M Ericsson Ab                  email: [email-masked]

---

From: Jari Arkko <[email-masked]>
Date: Wed, 18 May 2005 15:43:16 +0300

Ok.

Petri Jokela wrote:

>>>>       |             Type            |C|             
>>>> Length            |
>>>> Contents                             /
>>>> Padding    |
>>>>    |                 |       |          
>>>> HIP_TRANSFORM                |
> The C-bit definition covers it, but is not clear. Is it enough if I 
> add the following to Type definition:
>